GET/payments/intents

Lista

Recupera todos os intents de pagamento criados para a solicitação de pagamento fornecida

Parameters

Query Parameters

NameType
paymentRequestIdrequired
string (uuid)

Responses

200Recupere uma lista de todos os intents de pagamento para a solicitação de pagamento fornecida
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of payment intents

itemsobject

Request with information related to a payment intent

Example response

json
{
  "page": 0,
  "total": 0,
  "totalPages": 0,
  "results": [
    {
      "id": "4cfe1f6d-ae71-4c35-aae0-8f8a535ffbbd",
      "status": "CONSENT_AWAITING_AUTHORIZATION",
      "createdAt": "2023-11-06T15:38:47.861Z",
      "updatedAt": "2023-11-06T15:45:19.384Z",
      "paymentRequest": {
        "id": "c2a6b7d9-3349-435d-8341-44021449ebbc",
        "amount": 100.5,
        "description": "Transferência",
        "status": "IN_PROGRESS",
        "createdAt": "2023-11-06T13:03:45.689Z",
        "updatedAt": "2023-11-06T15:45:19.401Z",
        "callbackUrls": null,
        "recipient": null,
        "paymentUrl": "https://pay.pluggy.ai/05c693bf-c196-47ea-a28c-8251d6bb8a06"
      },
      "connector": {
        "id": 603,
        "name": "Bradesco",
        "primaryColor": "e5173f",
        "institutionUrl": "https://banco.bradesco/open-finance/logo/icones_vetorial-pf.svg",
        "country": "BR",
        "type": "PERSONAL_BANK",
        "credentials": [
          {
            "validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
            "validationMessage": "CPF deve ter 11 números.",
            "label": "CPF",
            "name": "cpf",
            "type": "number",
            "placeholder": "",
            "optional": false
          }
        ],
        "imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/203.svg",
        "hasMFA": false,
        "oauth": true,
        "health": {
          "status": "ONLINE",
          "stage": null
        },
        "products": [
          "ACCOUNTS",
          "TRANSACTIONS",
          "IDENTITY",
          "CREDIT_CARDS",
          "PAYMENT_DATA",
          "LOANS",
          "INVESTMENTS"
        ],
        "createdAt": "2023-07-12T20:20:17.253Z",
        "isSandbox": false,
        "isOpenFinance": true
      },
      "consentUrl": "https://consenturl.com"
    }
  ]
}
curl -X GET \
'https://api.pluggy.ai/payments/intents' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"page": 0,
"total": 0,
"totalPages": 0,
"results": [
{
"id": "4cfe1f6d-ae71-4c35-aae0-8f8a535ffbbd",
"status": "CONSENT_AWAITING_AUTHORIZATION",
"createdAt": "2023-11-06T15:38:47.861Z",
"updatedAt": "2023-11-06T15:45:19.384Z",
"paymentRequest": {
"id": "c2a6b7d9-3349-435d-8341-44021449ebbc",
"amount": 100.5,
"description": "Transferência",
"status": "IN_PROGRESS",
"createdAt": "2023-11-06T13:03:45.689Z",
"updatedAt": "2023-11-06T15:45:19.401Z",
"callbackUrls": null,
"recipient": null,
"paymentUrl": "https://pay.pluggy.ai/05c693bf-c196-47ea-a28c-8251d6bb8a06"
},
"connector": {
"id": 603,
"name": "Bradesco",
"primaryColor": "e5173f",
"institutionUrl": "https://banco.bradesco/open-finance/logo/icones_vetorial-pf.svg",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/203.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-07-12T20:20:17.253Z",
"isSandbox": false,
"isOpenFinance": true
},
"consentUrl": "https://consenturl.com"
}
]
}